Bug 7419 - pthread_create does not return
Summary: pthread_create does not return
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL: www.prasara.com
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-29 20:57 UTC by John DeBoard
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-05 02:41:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John DeBoard 1999-11-29 20:57:25 UTC
pthread_create does not return..
Using the glibc 2.1.1, after so many threads are created, pthread_create
does not return - it just hangs. The pthread FAQ suggested upgrading to
glibc 2.1.2, but this didn't change the bug. This is a known bug in the
glibc 2.1.x now. Does RedHat have a fix?

Thanks...
John DeBoard
deboard@prasara.com

Comment 1 Cristian Gafton 2000-02-05 02:41:59 UTC
How many processes? I suspect you run out into the limits of maximum processes
per user.


Note You need to log in before you can comment on or make changes to this bug.